Loading...
Searching...
No Matches
CdsRestDataProvider::CdsRestDataProvider Class Reference

The CdsRest data provider class. More...

`#include <CdsRestDataProvider.qc.dox.h>`

Inheritance diagram for CdsRestDataProvider::CdsRestDataProvider:
[legend]

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (CdsRestClient::CdsRestClient rest)
| Creates the object from the arguments.
| constructor (CdsRestClient::CdsRestConnection conn)
| Creates the object from the arguments.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from CdsRestDataProvider::CdsRestDataProviderBase
| constructor ()
| Creates the object.
| constructor (CdsRestClient::CdsRestClient rest)
| Creates the object.
| constructor (CdsRestClient::CdsRestConnection conn)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Static Public Member Functions

static | registerChild (string name, code generator)
| Registers a child data provider.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from CdsRestDataProvider::CdsRestDataProviderBase
const | ConstructorOptions = ...
| Constructor options.
const | EnvOptions = ...
| Environment options.
const | HttpMethods = ...
| Hash of HTTP Methods.

## Protected Member Functions

*DataProvider::AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProvider::DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Additional Inherited Members

Static Protected Member Functions inherited from CdsRestDataProvider::CdsRestDataProviderBase
static *hash< auto > | getClientOptions (*hash< auto > copts)
| Returns options for the CdsRestClient.
Protected Attributes inherited from CdsRestDataProvider::CdsRestDataProviderBase
*CdsRestClient::CdsRestConnection | conn
| The connection object used to create the REST client.
CdsRestClient::CdsRestClient | rest
| The REST client object for API calls.

## Detailed Description

The CdsRest data provider class.

## Member Function Documentation

## getChildProviderImpl()

*DataProvider::AbstractDataProvider CdsRestDataProvider::CdsRestDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > CdsRestDataProvider::CdsRestDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any

## registerChild()

static CdsRestDataProvider::CdsRestDataProvider::registerChild | ( | string | name,
|  | code | generator )

static

Registers a child data provider.

Parameters

  name | the child's name
  generator | code to generate the child; prototype: sub (string name, AbstractConnection conn) {}